%define upstream_name    Config-Path
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Path-like config API with multiple file support, directory
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Any)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Hash::Merge)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML::XS)
BuildArch: noarch

%description
Config::Path is a Yet Another Config module with a few twists that were
desired for an internal project:

* Multiple files merged into a single, flat hash

* Path-based configuration value retrieval

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.130.0-6.mga6
+ Revision: 1024309
- Rebuild for perl 5.22.2

* Fri Jan 29 2016 umeabot <umeabot> 0.130.0-5.mga6
+ Revision: 928865
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 740393
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-3.mga5
+ Revision: 683995
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.130.0-2.mga4
+ Revision: 537008
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 0.130.0-1.mga4
+ Revision: 486163
- update to 0.13

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 364701
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.120.0-1.mga3
+ Revision: 304242
- imported package perl-Config-Path


* Wed Oct 10 2012 cpan2dist 0.12-1mga
- initial mageia release, generated with cpan2dist
